<template>
  <div class="todo">
    <div class="todo__header">
      <h1 class="header-name--center">Todo App </h1>
    </div>
    <div class="todo__addnew">
        <input class="todo__addnew__input" type="text" placeholder="add ToDo" v-model="add_new_todo" v-on:keyup.enter="add_to_todo_list">
        <button class="todo__addnew__btn" v-on:click="add_to_todo_list" >Add</button>
    </div>
    <div class="todo__list" v-if="todo_list.length > 0">
      <table class="table">
        <thead class="table__header">
          <tr class="header-title">
            <th class="header-title__id">id</th>
            <th class="header-title__name">Todo name</th>
            <th class="header-title__delete">Delete</th>
          </tr>
        </thead>
        <tbody class="item-list">
          <tr class="item-list__row" v-for="(todo, index) in todo_list" v-bind:key="index">
            <td class="item-list__row__id">{{index + 1}}</td>
            <td class="item-list__row__name">{{todo}}</td>
            <td class="item-list__row__delete">
              <button class="item-list__row__delete__btn" v-on:click="delete_todo(index)">Delete</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div v-else>Todo-list is empty, please add information to todo-list</div>
  </div>
</template>

<script>
import "./ToDo.scss";

export default {
  name: "ToDo",
  props: {},
  data() {
    return {
        add_new_todo: '',
        todo_list: []
    };
  },
  methods:{
    add_to_todo_list(){
      if (this.add_new_todo != ''){
        if (this.todo_list.includes(this.add_new_todo)){
          alert("Dupplicated!!!");
        }
        else{
          this.todo_list.push(this.add_new_todo);
          this.add_new_todo = '';
        }
      }
    },
    delete_todo(index){
      this.todo_list.splice(index, 1);
    }
  }
};
</script>

<style scoped>
</style>
